%define distro rosa
%define polyinstatiate n
%define monolithic n
%define POLICYVER 29
%define POLICYCOREUTILSVER 2.1.4
%define CHECKPOLICYVER 2.1.6

%bcond_without targeted
%bcond_with minimum
%bcond_without mls

Summary:	SELinux policy configuration
Name:		selinux-policy
Version:	3.13.1
Release:	38
License:	GPLv2+
Group:		System/Base
Url:		http://github.com/TresysTechnology/refpolicy/wiki
Source0:	serefpolicy-%{version}.tgz
Patch1:		policy-base.patch
Patch2:		policy-contrib.patch
Patch3:		policy-rosa-Makefile.patch
Source1:	modules-targeted-base.conf
Source31:	modules-targeted-contrib.conf
Source2:	booleans-targeted.conf
Source3:	Makefile.devel
Source4:	setrans-targeted.conf
Source5:	modules-mls-base.conf
Source32:	modules-mls-contrib.conf
Source6:	booleans-mls.conf
Source8:	setrans-mls.conf
Source14:	securetty_types-targeted
Source15:	securetty_types-mls
Source17:	booleans-minimum.conf
Source18:	setrans-minimum.conf
Source19:	securetty_types-minimum
Source20:	customizable_types
Source21:	config.tar.gz
Source22:	users-mls
Source23:	users-targeted
Source25:	users-minimum
Source26:	file_contexts.subs_dist
Source27:	selinux-policy.conf
Source29:	serefpolicy-contrib-%{version}.tgz
Source30:	booleans.subs_dist
Source100:	selinux-policy.rpmlintrc
Source101:	rosa.fc
Source102:	rosa.te
Source103:	rosa.if
BuildRequires:	gawk
BuildRequires:	checkpolicy >= %{CHECKPOLICYVER}
BuildRequires:	policycoreutils-python >= %{POLICYCOREUTILSVER}
Requires(post):	/bin/awk
Requires(post):	coreutils
Requires(pre):	policycoreutils >= %{POLICYCOREUTILSVER}
Requires(post):	policycoreutils-python
Requires(post):	selinux-utils
BuildArch:	noarch

%description
SELinux Reference Policy - modular.

%files
%dir %{_usr}/share/selinux
%dir %{_usr}/share/selinux/packages
%dir %{_sysconfdir}/selinux
%ghost %config(noreplace) %{_sysconfdir}/selinux/config
%ghost %{_sysconfdir}/sysconfig/selinux
%{_usr}/lib/tmpfiles.d/selinux-policy.conf

#----------------------------------------------------------------------------

%package devel
Summary:	SELinux policy devel
Group:		System/Base
Requires:	checkpolicy >= %{CHECKPOLICYVER}
Requires:	m4
Requires:	make
Requires(pre):	%{name} = %{EVRD}
Requires(post):	libselinux-utils
Requires(post):	policycoreutils >= %{POLICYCOREUTILSVER}

%description devel
SELinux policy development and man page package

%files devel
%{_mandir}/ru/*/*
%dir %{_usr}/share/selinux/devel
%dir %{_usr}/share/selinux/devel/include
%{_usr}/share/selinux/devel/include/*
%{_usr}/share/selinux/devel/Makefile
%{_usr}/share/selinux/devel/example.*
%{_usr}/share/selinux/devel/policy.*

%post devel
selinuxenabled && /usr/bin/sepolgen-ifgen 2>/dev/null 
exit 0

#----------------------------------------------------------------------------

%package doc
Summary:	SELinux policy documentation
Group:		System/Base
Requires(pre):	%{name} = %{EVRD}

%description doc
SELinux policy documentation package

%files doc
%doc %{_usr}/share/doc/%{name}
%attr(755,root,root) %{_usr}/share/selinux/devel/policyhelp

#----------------------------------------------------------------------------

%define makeCmds() \
make UNK_PERMS=%4 NAME=%1 TYPE=%2 DISTRO=%{distro} UBAC=n DIRECT_INITRC=%3 MONOLITHIC=%{monolithic} MLS_CATS=1024 MCS_CATS=1024 bare \
make UNK_PERMS=%4 NAME=%1 TYPE=%2 DISTRO=%{distro} UBAC=n DIRECT_INITRC=%3 MONOLITHIC=%{monolithic} MLS_CATS=1024 MCS_CATS=1024  conf \
cp -f selinux_config/booleans-%1.conf ./policy/booleans.conf \
cp -f selinux_config/users-%1 ./policy/users \

%define makeModulesConf() \
cp -f selinux_config/modules-%1-%2.conf  ./policy/modules-base.conf \
cp -f selinux_config/modules-%1-%2.conf  ./policy/modules.conf \
if [ %3 == "contrib" ];then \
	cp selinux_config/modules-%1-%3.conf ./policy/modules-contrib.conf; \
	cat selinux_config/modules-%1-%3.conf >> ./policy/modules.conf; \
fi; \

%define installCmds() \
make UNK_PERMS=%4 NAME=%1 TYPE=%2 DISTRO=%{distro} UBAC=n DIRECT_INITRC=%3 MONOLITHIC=%{monolithic} MLS_CATS=1024 MCS_CATS=1024 SEMOD_EXP="/usr/bin/semodule_expand -a" base.pp \
make validate UNK_PERMS=%4 NAME=%1 TYPE=%2 DISTRO=%{distro} UBAC=n DIRECT_INITRC=%3 MONOLITHIC=%{monolithic} MLS_CATS=1024 MCS_CATS=1024 SEMOD_EXP="/usr/bin/semodule_expand -a" modules \
make UNK_PERMS=%4 NAME=%1 TYPE=%2 DISTRO=%{distro} UBAC=n DIRECT_INITRC=%3 MONOLITHIC=%{monolithic} DESTDIR=%{buildroot} MLS_CATS=1024 MCS_CATS=1024 install \
make UNK_PERMS=%4 NAME=%1 TYPE=%2 DISTRO=%{distro} UBAC=n DIRECT_INITRC=%3 MONOLITHIC=%{monolithic} DESTDIR=%{buildroot} MLS_CATS=1024 MCS_CATS=1024 install-appconfig \
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/selinux/%1/logins \
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/selinux/%1/policy \
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/selinux/%1/modules/active/modules \
%{__mkdir} -p %{buildroot}/%{_sysconfdir}/selinux/%1/contexts/files \
touch %{buildroot}/%{_sysconfdir}/selinux/%1/modules/semanage.read.LOCK \
touch %{buildroot}/%{_sysconfdir}/selinux/%1/modules/semanage.trans.LOCK \
rm -rf %{buildroot}%{_sysconfdir}/selinux/%1/booleans \
touch %{buildroot}%{_sysconfdir}/selinux/%1/policy/policy.%{POLICYVER} \
touch %{buildroot}%{_sysconfdir}/selinux/%1/contexts/files/file_contexts \
touch %{buildroot}%{_sysconfdir}/selinux/%1/contexts/files/file_contexts.subs \
install -m0644 selinux_config/securetty_types-%1 %{buildroot}%{_sysconfdir}/selinux/%1/contexts/securetty_types \
install -m0644 selinux_config/file_contexts.subs_dist %{buildroot}%{_sysconfdir}/selinux/%1/contexts/files \
install -m0644 selinux_config/setrans-%1.conf %{buildroot}%{_sysconfdir}/selinux/%1/setrans.conf \
install -m0644 selinux_config/customizable_types %{buildroot}%{_sysconfdir}/selinux/%1/contexts/customizable_types \
touch %{buildroot}%{_sysconfdir}/selinux/%1/modules/active/seusers \
touch %{buildroot}%{_sysconfdir}/selinux/%1/modules/active/seusers.final \
touch %{buildroot}%{_sysconfdir}/selinux/%1/modules/active/file_contexts.local \
touch %{buildroot}%{_sysconfdir}/selinux/%1/modules/active/nodes.local \
touch %{buildroot}%{_sysconfdir}/selinux/%1/modules/active/users_extra.local \
touch %{buildroot}%{_sysconfdir}/selinux/%1/modules/active/users.local \
touch %{buildroot}%{_sysconfdir}/selinux/%1/modules/active/file_contexts.homedirs.bin \
touch %{buildroot}%{_sysconfdir}/selinux/%1/modules/active/file_contexts.bin \
cp %{SOURCE30} %{buildroot}%{_sysconfdir}/selinux/%1 \
bzip2 -c %{buildroot}/%{_usr}/share/selinux/%1/base.pp  > %{buildroot}/%{_sysconfdir}/selinux/%1/modules/active/base.pp \
rm -f %{buildroot}/%{_usr}/share/selinux/%1/base.pp  \
for i in %{buildroot}/%{_usr}/share/selinux/%1/*.pp; do bzip2 -c $i > %{buildroot}/%{_sysconfdir}/selinux/%1/modules/active/modules/`basename $i`; done \
rm -f %{buildroot}/%{_usr}/share/selinux/%1/*pp*  \
mkdir -p %{buildroot}%{_usr}/share/selinux/packages \
/usr/sbin/semodule -s %1 -n -B -p %{buildroot}; \
/usr/bin/sha512sum %{buildroot}%{_sysconfdir}/selinux/%1/policy/policy.%{POLICYVER} | cut -d' ' -f 1 > %{buildroot}%{_sysconfdir}/selinux/%1/.policy.sha512; \
rm -rf %{buildroot}%{_sysconfdir}/selinux/%1/contexts/netfilter_contexts  \
rm -rf %{buildroot}%{_sysconfdir}/selinux/%1/modules/active/policy.kern \
ln -sf /etc/selinux/%1/policy/policy.%{POLICYVER}  %{buildroot}%{_sysconfdir}/selinux/%1/modules/active/policy.kern \
%nil

%define fileList() \
%dir %{_usr}/share/selinux/%1 \
%dir %{_sysconfdir}/selinux/%1 \
%config(noreplace) %{_sysconfdir}/selinux/%1/setrans.conf \
%config(noreplace) %{_sysconfdir}/selinux/%1/seusers \
%dir %{_sysconfdir}/selinux/%1/logins \
%dir %{_sysconfdir}/selinux/%1/modules \
%{_sysconfdir}/selinux/%1/modules/semanage.read.LOCK \
%{_sysconfdir}/selinux/%1/modules/semanage.trans.LOCK \
%dir %attr(700,root,root) %dir %{_sysconfdir}/selinux/%1/modules/active \
%dir %{_sysconfdir}/selinux/%1/modules/active/modules \
%{_sysconfdir}/selinux/%1/modules/active/commit_num \
%{_sysconfdir}/selinux/%1/modules/active/base.pp \
%{_sysconfdir}/selinux/%1/modules/active/file_contexts \
%{_sysconfdir}/selinux/%1/modules/active/file_contexts.homedirs \
%{_sysconfdir}/selinux/%1/modules/active/file_contexts.template \
%config(noreplace) %{_sysconfdir}/selinux/%1/modules/active/seusers.final \
%{_sysconfdir}/selinux/%1/modules/active/netfilter_contexts \
%config(noreplace) %{_sysconfdir}/selinux/%1/modules/active/users_extra \
%{_sysconfdir}/selinux/%1/modules/active/homedir_template \
%{_sysconfdir}/selinux/%1/modules/active/policy.kern \
%ghost %{_sysconfdir}/selinux/%1/modules/active/*.local \
%ghost %{_sysconfdir}/selinux/%1/modules/active/*.bin \
%ghost %{_sysconfdir}/selinux/%1/modules/active/seusers \
%dir %{_sysconfdir}/selinux/%1/policy/ \
%{_sysconfdir}/selinux/%1/policy/policy.%{POLICYVER} \
%{_sysconfdir}/selinux/%1/.policy.sha512 \
%dir %{_sysconfdir}/selinux/%1/contexts \
%config %{_sysconfdir}/selinux/%1/contexts/customizable_types \
%config(noreplace) %{_sysconfdir}/selinux/%1/contexts/securetty_types \
%config(noreplace) %{_sysconfdir}/selinux/%1/contexts/dbus_contexts \
%config %{_sysconfdir}/selinux/%1/contexts/x_contexts \
%config %{_sysconfdir}/selinux/%1/contexts/default_contexts \
%config %{_sysconfdir}/selinux/%1/contexts/virtual_domain_context \
%config %{_sysconfdir}/selinux/%1/contexts/virtual_image_context \
%config %{_sysconfdir}/selinux/%1/contexts/lxc_contexts \
%config %{_sysconfdir}/selinux/%1/contexts/systemd_contexts \
%config %{_sysconfdir}/selinux/%1/contexts/sepgsql_contexts \
%config %{_sysconfdir}/selinux/%1/contexts/openssh_contexts \
%config(noreplace) %{_sysconfdir}/selinux/%1/contexts/default_type \
%config(noreplace) %{_sysconfdir}/selinux/%1/contexts/failsafe_context \
%config(noreplace) %{_sysconfdir}/selinux/%1/contexts/initrc_context \
%config(noreplace) %{_sysconfdir}/selinux/%1/contexts/removable_context \
%config(noreplace) %{_sysconfdir}/selinux/%1/contexts/userhelper_context \
%dir %{_sysconfdir}/selinux/%1/contexts/files \
%{_sysconfdir}/selinux/%1/contexts/files/file_contexts \
%{_sysconfdir}/selinux/%1/contexts/files/file_contexts.homedirs \
%ghost %{_sysconfdir}/selinux/%1/contexts/files/*.bin \
%config(noreplace) %{_sysconfdir}/selinux/%1/contexts/files/file_contexts.local \
%config(noreplace) %{_sysconfdir}/selinux/%1/contexts/files/file_contexts.subs \
%{_sysconfdir}/selinux/%1/contexts/files/file_contexts.subs_dist \
%{_sysconfdir}/selinux/%1/booleans.subs_dist \
%config %{_sysconfdir}/selinux/%1/contexts/files/media \
%dir %{_sysconfdir}/selinux/%1/contexts/users \
%config(noreplace) %{_sysconfdir}/selinux/%1/contexts/users/root \
%config(noreplace) %{_sysconfdir}/selinux/%1/contexts/users/guest_u \
%config(noreplace) %{_sysconfdir}/selinux/%1/contexts/users/xguest_u \
%config(noreplace) %{_sysconfdir}/selinux/%1/contexts/users/user_u \
%config(noreplace) %{_sysconfdir}/selinux/%1/contexts/users/staff_u \ 
%{nil}

%define relabel() \
. %{_sysconfdir}/selinux/config; \
FILE_CONTEXT=%{_sysconfdir}/selinux/%1/contexts/files/file_contexts; \
/usr/sbin/selinuxenabled; \
if [ $? = 0  -a "${SELINUXTYPE}" = %1 -a -f ${FILE_CONTEXT}.pre ]; then \
     /sbin/fixfiles -C ${FILE_CONTEXT}.pre restore 2> /dev/null; \
     rm -f ${FILE_CONTEXT}.pre; \
fi; \
if /sbin/restorecon -e /run/media -R /root /var/log /var/run /etc/passwd* /etc/group* /etc/*shadow* 2> /dev/null;then \
    continue; \
fi; \
if /sbin/restorecon -R /home/*/.config 2> /dev/null;then \
    continue; \
fi;

%define preInstall() \
if [ $1 -ne 1 ] && [ -s /etc/selinux/config ]; then \
     . %{_sysconfdir}/selinux/config; \
     FILE_CONTEXT=%{_sysconfdir}/selinux/%1/contexts/files/file_contexts; \
     if [ "${SELINUXTYPE}" = %1 -a -f ${FILE_CONTEXT} ]; then \
        [ -f ${FILE_CONTEXT}.pre ] || cp -f ${FILE_CONTEXT} ${FILE_CONTEXT}.pre; \
     fi; \
     touch /etc/selinux/%1/.rebuild; \
     if [ -e /etc/selinux/%1/.policy.sha512 ]; then \
        POLICY_FILE=`ls /etc/selinux/%1/policy/policy.* | sort | head -1` \
        sha512=`sha512sum $POLICY_FILE | cut -d ' ' -f 1`; \
	checksha512=`cat /etc/selinux/%1/.policy.sha512`; \
	if [ "$sha512" == "$checksha512" ] ; then \
		rm /etc/selinux/%1/.rebuild; \
	fi; \
   fi; \
fi;

%define postInstall() \
. %{_sysconfdir}/selinux/config; \
(cd /etc/selinux/%2/modules/active/modules; rm -f vbetool.pp l2tpd.pp shutdown.pp amavis.pp clamav.pp gnomeclock.pp nsplugin.pp matahari.pp xfs.pp kudzu.pp kerneloops.pp execmem.pp openoffice.pp ada.pp tzdata.pp hal.pp hotplug.pp howl.pp java.pp mono.pp moilscanner.pp gamin.pp audio_entropy.pp audioentropy.pp iscsid.pp polkit_auth.pp polkit.pp rtkit_daemon.pp ModemManager.pp telepathysofiasip.pp ethereal.pp passanger.pp qemu.pp qpidd.pp pyzor.pp razor.pp pki-selinux.pp phpfpm.pp consoletype.pp ctdbd.pp fcoemon.pp isnsd.pp rgmanager.pp corosync.pp aisexec.pp pacemaker.pp pkcsslotd.pp smstools.pp ) \
if [ -e /etc/selinux/%2/.rebuild ]; then \
   rm /etc/selinux/%2/.rebuild; \
   /usr/sbin/semodule -B -n -s %2; \
fi; \
[ "${SELINUXTYPE}" == "%2" ] && selinuxenabled && load_policy; \
if [ %1 -eq 1 ]; then \
   /sbin/restorecon -R /root /var/log /run 2> /dev/null; \
else \
%relabel %2 \
fi;

%define modulesList() \
awk '$1 !~ "/^#/" && $2 == "=" && $3 == "module" { printf "%%s.pp ", $1 }' ./policy/modules-base.conf > %{buildroot}/%{_usr}/share/selinux/%1/modules-base.lst \
awk '$1 !~ "/^#/" && $2 == "=" && $3 == "base" { printf "%%s.pp ", $1 }' ./policy/modules-base.conf > %{buildroot}/%{_usr}/share/selinux/%1/base.lst \
if [ -e ./policy/modules-contrib.conf ];then \
	awk '$1 !~ "/^#/" && $2 == "=" && $3 == "module" { printf "%%s.pp ", $1 }' ./policy/modules-contrib.conf > %{buildroot}/%{_usr}/share/selinux/%1/modules-contrib.lst; \
fi;

%define nonBaseModulesList() \
contrib_modules=`cat %{buildroot}/%{_usr}/share/selinux/%1/modules-contrib.lst` \
base_modules=`cat %{buildroot}/%{_usr}/share/selinux/%1/modules-base.lst` \
for i in $contrib_modules $base_modules; do \
        echo "/etc/selinux/%1/modules/active/modules/$i" >> %{buildroot}/%{_usr}/share/selinux/%1/nonbasemodules.lst \
done

#----------------------------------------------------------------------------

%prep
%setup -n serefpolicy-contrib-%{version} -q -b 29
%patch2 -p1
contrib_path=`pwd`
%setup -n serefpolicy-%{version} -q
%patch1 -p1
%patch3 -p1
refpolicy_path=`pwd`
cp $contrib_path/* $refpolicy_path/policy/modules/contrib
cp %{SOURCE101} $refpolicy_path/policy/modules/contrib
cp %{SOURCE102} $refpolicy_path/policy/modules/contrib
cp %{SOURCE103} $refpolicy_path/policy/modules/contrib

%build

%install
mkdir selinux_config
for i in %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} %{SOURCE8} %{SOURCE14} %{SOURCE15} %{SOURCE17} %{SOURCE18} %{SOURCE19} %{SOURCE20} %{SOURCE21} %{SOURCE22} %{SOURCE23} %{SOURCE25} %{SOURCE26} %{SOURCE31} %{SOURCE32};do
 cp $i selinux_config
done
tar zxvf selinux_config/config.tar.gz

# Build targeted policy
rm -fR %{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}/selinux
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
touch %{buildroot}%{_sysconfdir}/selinux/config
touch %{buildroot}%{_sysconfdir}/sysconfig/selinux
mkdir -p %{buildroot}%{_usr}/lib/tmpfiles.d/
cp %{SOURCE27} %{buildroot}%{_usr}/lib/tmpfiles.d/

# Always create policy module package directories
mkdir -p %{buildroot}%{_usr}/share/selinux/{targeted,mls,minimum,modules}/

# Install devel
make clean
%if %{with targeted}
# Build targeted policy
mkdir -p %{buildroot}%{_usr}/share/selinux/targeted
%makeCmds targeted mcs n allow
%makeModulesConf targeted base contrib
%installCmds targeted mcs n allow
%modulesList targeted 
%nonBaseModulesList targeted
%endif

%if %{with minimum}
# Build minimum policy
mkdir -p %{buildroot}%{_usr}/share/selinux/minimum
%makeCmds minimum mcs n allow
%makeModulesConf targeted base contrib
%installCmds minimum mcs n allow
%modulesList minimum
%nonBaseModulesList minimum
%endif

%if %{with mls}
# Build mls policy
%makeCmds mls mls n deny
%makeModulesConf mls base contrib
%installCmds mls mls n deny
%modulesList mls
%nonBaseModulesList mls
%endif

mkdir -p %{buildroot}%{_mandir}
cp -R  man/* %{buildroot}%{_mandir}
make UNK_PERMS=allow NAME=targeted TYPE=mcs DISTRO=%{distro} UBAC=n DIRECT_INITRC=n MONOLITHIC=%{monolithic} DESTDIR=%{buildroot} PKGNAME=%{name} MLS_CATS=1024 MCS_CATS=1024 install-docs
make UNK_PERMS=allow NAME=targeted TYPE=mcs DISTRO=%{distro} UBAC=n DIRECT_INITRC=n MONOLITHIC=%{monolithic} DESTDIR=%{buildroot} PKGNAME=%{name} MLS_CATS=1024 MCS_CATS=1024 install-headers
mkdir %{buildroot}%{_usr}/share/selinux/devel/
mv %{buildroot}%{_usr}/share/selinux/targeted/include %{buildroot}%{_usr}/share/selinux/devel/include
install -m 644 selinux_config/Makefile.devel %{buildroot}%{_usr}/share/selinux/devel/Makefile
install -m 644 doc/example.* %{buildroot}%{_usr}/share/selinux/devel/
install -m 644 doc/policy.* %{buildroot}%{_usr}/share/selinux/devel/
echo  "xdg-open file:///usr/share/doc/selinux-policy/html/index.html"> %{buildroot}%{_usr}/share/selinux/devel/policyhelp
chmod +x %{buildroot}%{_usr}/share/selinux/devel/policyhelp

mkdir -p %{buildroot}%{_rpmconfigdir}/macros.d
echo '%%_selinux_policy_version %{version}-%{release}' > %{buildroot}%{_rpmconfigdir}/macros.d/macros.selinux-policy

rm -rf selinux_config

%post
if [ ! -s /etc/selinux/config ]; then
echo "
# This file controls the state of SELinux on the system.
# SELINUX= can take one of these three values:
#     enforcing - SELinux security policy is enforced.
#     permissive - SELinux prints warnings instead of enforcing.
#     disabled - No SELinux policy is loaded.
SELINUX=permissive
# SELINUXTYPE= can take one of these three values:
#     targeted - Targeted processes are protected,
#     minimum - Modification of targeted policy. Only selected processes are protected. 
#     mls - Multi Level Security protection.
SELINUXTYPE=mls 

" > /etc/selinux/config

     ln -sf ../selinux/config /etc/sysconfig/selinux 
     restorecon /etc/selinux/config 2> /dev/null || :
else
     . /etc/selinux/config
     [ -f /etc/selinux/${SELINUXTYPE}/booleans.local ] && mv /etc/selinux/${SELINUXTYPE}/booleans.local /etc/selinux/targeted/modules/active/
     [ -f /etc/selinux/${SELINUXTYPE}/seusers ] && cp -f /etc/selinux/${SELINUXTYPE}/seusers /etc/selinux/${SELINUXTYPE}/modules/active/seusers
fi
%{_bindir}/sepolicy manpage -a -p /usr/share/man/man8/ -w 
exit 0

%postun
if [ $1 = 0 ]; then
     setenforce 0 2> /dev/null
     if [ ! -s /etc/selinux/config ]; then
          echo "SELINUX=disabled" > /etc/selinux/config
     else
          sed -i 's/^SELINUX=.*/SELINUX=disabled/g' /etc/selinux/config
     fi
fi
exit 0

%if %{with targeted}
%package targeted
Summary:	SELinux targeted base policy
Group: System/Base
Provides:	selinux-policy-base = %{EVRD}
Obsoletes:	selinux-policy-targeted-sources < 2
Requires(pre):	policycoreutils >= %{POLICYCOREUTILSVER}
Requires(pre):	coreutils
Requires(pre):	selinux-policy = %{EVRD}
Requires:	selinux-policy = %{EVRD}
Conflicts:	audispd-plugins <= 1.7.7-1
Obsoletes:	mod_fcgid-selinux <= %{version}-%{release}
Obsoletes:	cachefilesd-selinux <= 0.10-1
Conflicts:	seedit
Conflicts:	389-ds-base < 1.2.7
Conflicts:	389-admin < 1.1.12

%description targeted
SELinux Reference policy targeted base module.

%pre targeted
%preInstall targeted

%post targeted
%postInstall $1 targeted
exit 0

%triggerin -- pcre
selinuxenabled && semodule -nB
exit 0

%triggerpostun targeted -- selinux-policy-targeted < 3.12.1-75
restorecon -R -p /home
exit 0

%files targeted -f %{buildroot}/%{_usr}/share/selinux/targeted/nonbasemodules.lst
%config(noreplace) %{_sysconfdir}/selinux/targeted/contexts/users/unconfined_u
%config(noreplace) %{_sysconfdir}/selinux/targeted/contexts/users/sysadm_u 
%{_usr}/share/selinux/targeted/base.lst
%{_usr}/share/selinux/targeted/modules-base.lst
%{_usr}/share/selinux/targeted/modules-contrib.lst
%{_usr}/share/selinux/targeted/nonbasemodules.lst
%fileList targeted
%endif

%if %{with minimum}
%package minimum
Summary:	SELinux minimum base policy
Provides:	selinux-policy-base = %{EVRD}
Group:		System/Base
Requires(post):	policycoreutils-python >= %{POLICYCOREUTILSVER}
Requires(pre):	coreutils
Requires(pre):	selinux-policy = %{EVRD}
Requires:	selinux-policy = %{EVRD}
Conflicts:	seedit

%description minimum
SELinux Reference policy minimum base module.

%pre minimum
%preInstall minimum
if [ $1 -ne 1 ]; then
   /usr/sbin/semodule -s minimum -l 2>/dev/null | awk '{ if ($3 != "Disabled") print $1; }' > /usr/share/selinux/minimum/instmodules.lst
fi

%post minimum
contribpackages=`cat /usr/share/selinux/minimum/modules-contrib.lst`
basepackages=`cat /usr/share/selinux/minimum/modules-base.lst`
if [ $1 -eq 1 ]; then
for p in $contribpackages; do
	touch /etc/selinux/minimum/modules/active/modules/$p.disabled
done
for p in $basepackages apache.pp dbus.pp inetd.pp kerberos.pp mta.pp nis.pp; do
	rm -f /etc/selinux/minimum/modules/active/modules/$p.disabled
done
/usr/sbin/semanage import -S minimum -f - << __eof
login -m  -s unconfined_u -r s0-s0:c0.c1023 __default__
login -m  -s unconfined_u -r s0-s0:c0.c1023 root
__eof
/sbin/restorecon -R /root /var/log /var/run 2> /dev/null
/usr/sbin/semodule -B -s minimum
else
instpackages=`cat /usr/share/selinux/minimum/instmodules.lst`
for p in $contribpackages; do
    touch /etc/selinux/minimum/modules/active/modules/$p.disabled
done
for p in $instpackages apache dbus inetd kerberos mta nis; do
    rm -f /etc/selinux/minimum/modules/active/modules/$p.pp.disabled
done
/usr/sbin/semodule -B -s minimum
%relabel minimum
fi
exit 0

%files minimum -f %{buildroot}/%{_usr}/share/selinux/minimum/nonbasemodules.lst
%config(noreplace) %{_sysconfdir}/selinux/minimum/contexts/users/unconfined_u
%config(noreplace) %{_sysconfdir}/selinux/minimum/contexts/users/sysadm_u 
%fileList minimum
%{_usr}/share/selinux/minimum/base.lst
%{_usr}/share/selinux/minimum/modules-base.lst
%{_usr}/share/selinux/minimum/modules-contrib.lst
%{_usr}/share/selinux/minimum/nonbasemodules.lst
%endif

%if %{with mls}
%package mls
Summary:	SELinux mls base policy
Group:		System/Base
Provides:	selinux-policy-base = %{EVRD}
Obsoletes:	selinux-policy-mls-sources < 2
Requires:	policycoreutils-newrole >= %{POLICYCOREUTILSVER} setransd
Requires:	selinux-policy = %{EVRD}
Requires(pre):	policycoreutils >= %{POLICYCOREUTILSVER}
Requires(pre):	coreutils
Requires(pre):	selinux-policy = %{EVRD}
Conflicts:	seedit

%description mls
SELinux Reference policy mls base module.

%pre mls
%preInstall mls

%post mls
%postInstall $1 mls

%files mls -f %{buildroot}/%{_usr}/share/selinux/mls/nonbasemodules.lst
%config(noreplace) %{_sysconfdir}/selinux/mls/contexts/users/unconfined_u
%{_usr}/share/selinux/mls/base.lst
%{_usr}/share/selinux/mls/modules-base.lst
%{_usr}/share/selinux/mls/modules-contrib.lst
%{_usr}/share/selinux/mls/nonbasemodules.lst
%fileList mls
%endif


%changelog

* Wed May 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3.13.1-38
- (113b6d3) Lower policycoreutils required version
- (Andrey Bondrov: 897e55e) Lower checkpolicy required version
- (Andrey Bondrov: 834c0b3) Spec cleanup

* Thu Jun 25 2015 law <a.lahin@ntcit-rosa.ru> 3.13.1-37
- (1f7b504) Add rules for ssh, dhcp, and DX32

* Mon Jun 08 2015 din (Dmitry Fedorov) <d.fedorov@ntcit-rosa.ru> 3.13.1-34
- (5b93a5e) add boolean for cups daemon

* Thu Jun 04 2015 law <a.lahin@ntcit-rosa.ru> 3.13.1-35
- (a71751c) Increase release number

* Thu Jun 04 2015 law <a.lahin@ntcit-rosa.ru> 3.13.1-34
- (3983c0d) Set installer_t for draklive-install; Allow installer to work with any mls levels
- (law: 5db87c7) Increase release number

* Wed Jun 03 2015 law <a.lahin@ntcit-rosa.ru> 3.13.1-33
- (946d7f4) Allow udev to run loadkeys #bz5709
- (din (Dmitry Fedorov): 126cc2f) Bump release

* Mon Jun 01 2015 din (Dmitry Fedorov) <d.fedorov@ntcit-rosa.ru> 3.13.1-32
- (c6df650) fix namespace.init
- (din (Dmitry Fedorov): bebeb3e) add user_devpts_t to allowed ttys

* Sun May 31 2015 din (Dmitry Fedorov) <d.fedorov@ntcit-rosa.ru> 3.13.1-31
- (94aa7a7) fix tmp-inst
- (din (Dmitry Fedorov): e8e33bb) tmp-inst label
- (din (Dmitry Fedorov): c4a051b) Bump release

* Sun May 31 2015 din (Dmitry Fedorov) <d.fedorov@ntcit-rosa.ru> 3.13.1-30
- (daef401) resolve #bz5666
- (din (Dmitry Fedorov): f3c3df0) fix types
- (din (Dmitry Fedorov): 86dad8d) Bump release

* Fri May 29 2015 din (Dmitry Fedorov) <d.fedorov@ntcit-rosa.ru> 3.13.1-29
- (6d8753e) fix types requires
- (din (Dmitry Fedorov): 93ab682) run fedora-autorelabel from init_t domain
- (law: 1c22958) Add rules/filecontexts for named (test 57)
- (din (Dmitry Fedorov): 7db15a7) Bump release

* Fri May 29 2015 din (Dmitry Fedorov) <d.fedorov@ntcit-rosa.ru> 3.13.1-23
- (95275f4) enable named_write_master_zones

* Fri May 29 2015 law <a.lahin@ntcit-rosa.ru> 3.13.1-28
- (7c7d33b) Increase release number

* Fri May 29 2015 law <a.lahin@ntcit-rosa.ru> 3.13.1-27
- (74a6f38) Allow one more type for amtu
- (law: ee631d0) Increase release number

* Thu May 28 2015 law <a.lahin@ntcit-rosa.ru> 3.13.1-26
- (9175453) Add rules for pppd (test 18)
- (law: af96bfb) Increase release number

* Thu May 28 2015 law <a.lahin@ntcit-rosa.ru> 3.13.1-25
- (1af2090) Add rules for amtu (test 4) and preload
- (law: 86458ae) Increase release number

* Thu May 28 2015 law <a.lahin@ntcit-rosa.ru> 3.13.1-24
- (20314ea) One more rule for gconfd interaction
- (law: 3fdb77f) Increase release number

* Wed May 27 2015 law <a.lahin@ntcit-rosa.ru> 3.13.1-23
- (8bc505b) Add rules for gconfd interaction

* Wed May 27 2015 law <a.lahin@ntcit-rosa.ru> 3.13.1-22
- (a036775) Extend rules for staff and sysadm

* Wed May 27 2015 din (Dmitry Fedorov) <d.fedorov@ntcit-rosa.ru> 3.13.1-23
- (f19b2ec) Bump release

* Wed May 27 2015 law <a.lahin@ntcit-rosa.ru> 3.13.1-22
- (2c63d6c) Add rules for passing GUI tests
- (din (Dmitry Fedorov): 7f178d8) permit gconfd
- (din (Dmitry Fedorov): ce8a4fd) Bump release

* Wed May 27 2015 din (Dmitry Fedorov) <d.fedorov@ntcit-rosa.ru> 3.13.1-21
- (9c920d9) add rules for handling rosa-theme features during kdm login

* Tue May 26 2015 din (Dmitry Fedorov) <d.fedorov@ntcit-rosa.ru> 3.13.1-20
- (75c610d) Bump release

* Tue May 26 2015 din (Dmitry Fedorov) <d.fedorov@ntcit-rosa.ru> 3.13.1-19
- (b7a8559) add kde module; fix Xsession and bluetoothd context;
- (law: 0e17626) Add necessary types


